Bug 1662192 - Delete legacy games directories
Summary: Delete legacy games directories
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1664567
TreeView+ depends on / blocked
 
Reported: 2018-12-26 23:23 UTC by Amadeus
Modified: 2020-11-24 20:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1664567 (view as bug list)
Environment:
Last Closed: 2020-11-24 20:10:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Amadeus 2018-12-26 23:23:35 UTC
It is time to get rid of the games directories which haven't been used for the past +20 years.

$ rpm -ql filesystem-3.8-2.fc28.x86_64|grep game
/usr/games
/usr/lib/games
/usr/lib64/games
/usr/local/games
/usr/share/games
/var/games
/var/lib/games

It also makes RHEL look very out of date and certainly not every enterprise-like to have "games" directories on your mission critical servers.

This post https://unix.stackexchange.com/questions/1687/games-directory/1691#1691 explains it well:

It's just a bit of historical cruft. A long time ago, games were an optional part of the system, and might be installed by different people, so they lived in /usr/games rather than /usr/bin. Data such as high scores came to live in /var/games. As time went by, people variously put variable game data in /var/lib/games/NAME or /var/games/NAME and static game data in /usr/lib/NAME or /usr/games/lib/NAME or /usr/games/NAME or /usr/lib/games/NAME (and the same with share instead of lib for architecture-independent data). Nowadays, there isn't any compelling reason to keep games separate, it's just a matter of tradition.

Comment 1 Ondrej Vasik 2019-01-01 20:16:13 UTC
Thanks for report. I'll probably remove at least some of those- although /var/games is listed in FHS as optional standard directory and /var/lib/games is still in use by various games to store things like highscore.

Comment 2 Amadeus 2019-01-01 20:29:04 UTC
Would it be difficult for the games you speak of to create /var/lib/games them self, so we avoid the situation of RHEL ending up with a "games" directory, which just seams wrong in mission critical environments?

Comment 3 Ondrej Vasik 2019-01-09 07:57:44 UTC
I cloned this bugzilla for RHEL. I don't think this is really critical to remove games dirs from mission critical environments, but it is nice to have and good to remove in one of the future updates. Ownership by the games themselves is good plan, but it will take some time - based on my experience, not many maintainers respond to the bugzillas in reasonable timeframe - so we will end up with double ownership or unowned directories anyway.

Comment 4 Ben Cotton 2019-08-13 16:51:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 19:37:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Ben Cotton 2020-11-03 15:06:49 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-11-24 20:10:23 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.